<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Benutzerregistrierung</title>
</head>
<body>

<h2>Benutzerregistrierung</h2>

<form action="/home" method="post">

    <label for="name">Name:</label>
    <input type="text" id="name" name="name" required><br><br>

    <label for="email">E-Mail:</label>
    <input type="email" id="email" name="email" required><br><br>

    <label for="password">Passwort:</label>
    <input type="password" id="password" name="password" required><br><br>

    <label for="birthdate">Geburtsdatum:</label>
    <input type="date" id="birthdate" name="birthdate" required><br><br>

    <label>Geschlecht:</label><br>
    <input type="radio" id="male" name="gender" value="M" required>
    <label for="male">Männlich</label><br>
    <input type="radio" id="female" name="gender" value="F">
    <label for="female">Weiblich</label><br><br>

    <label for="profession">Beruf:</label>
    <select id="profession" name="profession" required>
        <option value="developer">Entwickler</option>
        <option value="tester">Tester</option>
        <option value="project_manager">Projektmanager</option>
    </select><br><br>

    <input type="checkbox" id="married" name="married">
    <label for="married">Verheiratet</label><br><br>

    <label for="note">Notiz:</label><br>
    <textarea id="note" name="note" rows="4" cols="50"></textarea><br><br>

    <input type="submit" value="Registrieren">

</form>

</body>
</html>
